Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » PKC » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_pkc_init (pkc_handle_t *p_pkc)
| Initialize the PKC according to the specified parameters in the pkc_init_t and initialize the associated handle. More...
hal_status_t | hal_pkc_deinit (pkc_handle_t *p_pkc)
| De-initialize the PKC peripheral. More...
void | hal_pkc_msp_init (pkc_handle_t *p_pkc)
| Initialize the PKC MSP. More...
void | hal_pkc_msp_deinit (pkc_handle_t *p_pkc)
| De-initialize the PKC MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the PKC peripheral:

          (+) User must implement hal_pkc_msp_init() function in which it configures
              all related peripherals resources (IT and NVIC ).

          (+) Call the function hal_pkc_init() to configure the selected device with
              the selected configuration:
            (++) pECC_Curve
            (++) DataBits
            (++) SecureMode
            (++) pRandomFunc

          (+) Call the function hal_pkc_deinit() to restore the default configuration
              of the selected PKC peripheral.

## Function Documentation

## ◆ hal_pkc_deinit()

hal_status_t hal_pkc_deinit | ( | pkc_handle_t * | p_pkc | ) |

De-initialize the PKC peripheral.

Parameters

  [in] | p_pkc | Pointer to a PKC handle which contains the configuration information for the specified PKC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_pkc_init()

hal_status_t hal_pkc_init | ( | pkc_handle_t * | p_pkc | ) |

Initialize the PKC according to the specified parameters in the pkc_init_t and initialize the associated handle.

Parameters

  [in] | p_pkc | Pointer to a PKC handle which contains the configuration information for the specified PKC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_pkc_msp_deinit()

void hal_pkc_msp_deinit | ( | pkc_handle_t * | p_pkc | ) |

De-initialize the PKC MSP.

Note
  This function should not be modified. When the callback is needed, the hal_pkc_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_pkc | Pointer to a PKC handle which contains the configuration information for the specified PKC module.

## ◆ hal_pkc_msp_init()

void hal_pkc_msp_init | ( | pkc_handle_t * | p_pkc | ) |

Initialize the PKC MSP.

Note
  This function should not be modified. When the callback is needed, the hal_pkc_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_pkc | Pointer to a PKC handle which contains the configuration information for the specified PKC module.